lzma_filter_decoder Struct Reference

## Data Fields

lzma_vli | id
| Filter ID. More...
lzma_init_function | init
uint64_t(* | memusage )(const void *options)
lzma_ret(* | props_decode )(void **options, const lzma_allocator *allocator, const uint8_t *props, size_t props_size)

## Field Documentation

## id

lzma_vli lzma_filter_decoder::id

Filter ID.

## init

lzma_init_function lzma_filter_decoder::init

Initializes the filter encoder and calls lzma_next_filter_init() for filters + 1.

## memusage

uint64_t(* lzma_filter_decoder::memusage) (const void *options)

Calculates memory usage of the encoder. If the options are invalid, UINT64_MAX is returned.

## props_decode

lzma_ret(* lzma_filter_decoder::props_decode) (void **options, const lzma_allocator *allocator, const uint8_t *props, size_t props_size)

Decodes Filter Properties.

Returns
  - LZMA_OK: Properties decoded successfully.
  - LZMA_OPTIONS_ERROR: Unsupported properties
  - LZMA_MEM_ERROR: Memory allocation failed.

The documentation for this struct was generated from the following file:

- liblzma/common/filter_decoder.c